<div class="login">

  <header class="login__header">
    <img class="login_logo" src="{{this.rootUrl}}/ecriplus-logo-certif.svg" alt="écri+certif">

    <h1 class="login-header__title">{{t "pages.login.login"}}</h1>

    <p class="login-header__information paragraph">
      {{t "pages.login.accessible-to"}}
    </p>

    {{#if @hasInvitationAlreadyBeenAccepted}}
      <p class="login-header__invitation-error">{{t "pages.login.errors.invitation-already-accepted" htmlSafe=true}}</p>
    {{/if}}

    {{#if @isInvitationCancelled}}
      <p class="login-header__invitation-error">{{t "pages.login.errors.invitation-was-cancelled" htmlSafe=true}}</p>
    {{/if}}
  </header>

  <main class="login__main">

    <form class="login-main__form" {{on "submit" this.authenticate}}>

      <p class="login-main-form__mandatory-information paragraph">
        {{t "pages.login.form.mandatory-fields"}}
      </p>

      <PixInput
        @id="login-email"
        name="login"
        @label={{t "pages.login.form.email-address"}}
        autocomplete="email"
        type="email"
        required="true"
        {{on "input" this.setEmail}}
      />

      <PixInputPassword
        @id="login-password"
        name="password"
        @label={{t "pages.login.form.password"}}
        autocomplete="current-password"
        required="true"
        {{on "input" this.setPassword}}
      />

      {{#if this.isErrorMessagePresent}}
        <div class="error-message">
          <p>{{this.errorMessage}}</p>
        </div>
      {{/if}}

      <PixButton @type="submit">
        {{t "pages.login.form.button"}}
      </PixButton>

      <div class="login-main-form__forgotten-password">
        <a href="{{this.forgotPasswordUrl}}" target="_blank" rel="noopener noreferrer" >{{t
            "pages.login.form.forgotten-password"
          }}</a>
      </div>
    </form>
  </main>
</div>